KIP People API (Public)

UpdateUserProfile

Update a user’s basic profile information

put

Path Parameters

userIdstring(uuid)required

Body

application/json

Models.UserProfileUpdate

firstNamestring
middleNamestring
lastNamestring
genderstring

Response

The request has succeeded.

put/users/{userId}/profile

Body

{}
 

GetUserAddressesByType

Get a user’s addresses by type

get

Query Parameters

pageinteger(int16)

Default:1

pageSizeinteger(int8)

Default:20

<= 100

Path Parameters

userIdstring(uuid)required
typestringrequired

Allowed values:HomeShippingBilling

Response

application/json

The request has succeeded.

Models.Responses.UserAddressListResponse

The request has succeeded.

dataarray[object]required
Show Child Parameters
metaobject
Show Child Parameters
linksarray[object]required
Show Child Parameters
get/users/{userId}/profile/addresses/{type}
 
application/json

AddUserAddressesByType

Add a user’s address of type

post

Path Parameters

userIdstring(uuid)required
typestringrequired

Allowed values:HomeShippingBilling

Body

application/json

Models.Address

streetstringrequired

Example:Moutstraat

houseNumberstringrequired

Example:132

houseNumberExtensionstring

Optional extension to the house number, e.g., ‘A’ in ‘123A’

Example:Office 1

citystringrequired

Example:Ghent

postalCodestringrequired

Example:9100

countrystringrequired

ISO 3166-1 alpha-2 country code of countries Kinepolis operates in

Example:BE

Response

application/json

The request has succeeded and a new resource has been created as a result.

The request has succeeded and a new resource has been created as a result.

datastring(uuid)required
linksarray[object]required
Show Child Parameters
post/users/{userId}/profile/addresses/{type}

Body

{ "street": "Moutstraat", "houseNumber": "132", "city": "Ghent", "postalCode": "9100", "country": "BE" }
 
application/json

UpdateUserAddressesByType

Update a user’s address of type

put

Path Parameters

userIdstring(uuid)required
typestringrequired

Allowed values:HomeShippingBilling

idstring(uuid)required

Body

application/json

Models.Address

streetstringrequired

Example:Moutstraat

houseNumberstringrequired

Example:132

houseNumberExtensionstring

Optional extension to the house number, e.g., ‘A’ in ‘123A’

Example:Office 1

citystringrequired

Example:Ghent

postalCodestringrequired

Example:9100

countrystringrequired

ISO 3166-1 alpha-2 country code of countries Kinepolis operates in

Example:BE

Response

The request has succeeded.

put/users/{userId}/profile/addresses/{type}/{id}

Body

{ "street": "Moutstraat", "houseNumber": "132", "city": "Ghent", "postalCode": "9100", "country": "BE" }
 

RemoveUserAddressesOfType

Remove a user’s address

delete

Path Parameters

userIdstring(uuid)required
typestringrequired

Allowed values:HomeShippingBilling

idstring(uuid)required

Response

There is no content to send for this request, but the headers may be useful.

delete/users/{userId}/profile/addresses/{type}/{id}